# 指定期間の注文リストを取得する

作成日の古いものから新しいものへと並べられた注文リストを取得します。

Endpoint: POST /v3/project/{project_id}/admin/order/search
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

## Request fields (application/json):

  - `limit` (integer)
    応答に含まれる注文数の制限。

  - `offset` (integer)
    リストが生成される順序の番号（カウントは0から始まる）。

  - `created_date_from` (string)
    [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)形式のオーダー作成期間の開始日または日時。
    Example: "2020-04-15T18:16:00+05:00"

  - `created_date_until` (string)
    [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)形式のオーダー作成期間の終了日または日時。
    Example: "2020-04-16T18:16:00+05:00"

## Response 200 fields (application/json):

  - `orders` (array)
    注文リスト。

  - `orders.order_id` (integer)
    注文IDです。
    Example: 1

  - `orders.project_id` (integer)
    プロジェクトID。このパラメータは、[パブリッシャーアカウント](https://publisher.xsolla.com/)のプロジェクト名の横にあります。
    Example: 44056

  - `orders.status` (string)
    注文ステータス。ステータスの詳細な説明については、[注文のライフサイクル](https://developers.xsolla.com/ja/api/catalog/order-life-cycle)セクションを参照してください。
    Enum: "new", "paid", "done", "canceled", "expired"

  - `orders.date_created` (string)
    [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)形式の注文作成日または日時コード。
    Example: "2020-08-11T10:00:00+03:00"

  - `orders.mode` (string)
    注文作成モード。
    Enum: "default", "sandbox"

  - `orders.is_free` (boolean)
    注文が無料かどうか。

  - `orders.invoice_id` (string)
    請求書ID。

  - `orders.price` (object,null)
    注文価格。

  - `orders.price.amount` (string)
    最終注文価格。
    Example: "30"

  - `orders.price.amount_without_discount` (string)
    割引なしの注文価格。
    Example: "30"

  - `orders.price.currency` (string)
    [ISO4217](https://en.wikipedia.org/wiki/ISO_4217)形式の3文字コードの実際通貨または仮想通貨のSKU。[エクソーラがサポートする通貨](https://developers.xsolla.com/ja/doc/pay-station/references/supported-currencies/)に関する詳細情報はドキュメントを参照してください。
    Example: "USD"

  - `orders.price.is_virtual_currency` (boolean)
    通貨が仮想通貨であるかどうか。

  - `orders.user` (object)

  - `orders.user.id` (string)
    注文作成時に渡されたユーザーID。
    Example: "07e653a2b15011e6818f005056a54369"

  - `orders.user.country` (string)
    [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)に従った2文字の大文字の国名コード。[エクソーラがサポートする国](https://developers.xsolla.com/ja/doc/shop-builder/references/supported-countries/)の詳細情報については、ドキュメントを確認してください。
    Example: "US"

  - `orders.user.email` (string)
    [RFC 822](https://www.w3.org/Protocols/rfc822/#z8)プロトコルに従って書式設定されたユーザーのメールアドレス。
    Example: "user@xsolla.com"

  - `orders.user.region_id` (integer,null)
    ユーザーの地域ID。地域別の販売制限が設定されている場合に返される。注文を作成するときに渡されたユーザーの国は、[地域を作成する](https://developers.xsolla.com/ja/api/shop-builder/operation/admin-create-region/)ときに指定された国のリストと照合されます。地域販売制限の詳細については、[ドキュメント](https://developers.xsolla.com/ja/doc/shop-builder/features/regional-restrictions/)を参照してください。
    Example: 12

  - `orders.items` (array)
    アイテムシスト。

  - `orders.items.order_item_id` (integer)
    注文のアイテム ID。これは、注文作成中にエクソーラによって生成されます。

  - `orders.items.item_id` (integer)
    アイテム ID。これは、アイテムを作成する際にエクソーラによって生成されます。
    Example: 1

  - `orders.items.sku` (string)
    作成時に指定されたアイテムID。SKUには、英大文字、英小文字、数字、ピリオド、ダッシュ、アンダースコアのみを含めることができます。
    Example: "elven_shield"

  - `orders.items.type` (string)
    アイテムタイプ。
    Enum: "virtual_good", "virtual_currency", "bundle", "game_key", "physical_good", "value_point"

  - `orders.items.quantity` (integer)
    アイテム数量。
    Example: 1

  - `orders.items.is_free` (boolean)
    アイテムが無料かどうか。

  - `orders.items.is_bonus` (boolean)
    アイテムがボーナスであるかどうか。

  - `orders.items.region_id` (integer,null)
    アイテムが利用可能な地域のID。地域の販売制限の詳細については、[ドキュメント](https://developers.xsolla.com/ja/doc/shop-builder/features/regional-restrictions/)を参照してください。

  - `orders.items.tax_category` (string)
    税のカテゴリ。
    Example: "DG00002"

  - `orders.items.price` (object,null)
    アイテム価格。

  - `orders.items.price.amount` (string)
    割引後のアイテム価格。
    Example: "30"

  - `orders.items.price.amount_without_discount` (string)
    割引なしのアイテム価格。
    Example: "30"

  - `orders.items.price.currency` (string)
    [ISO4217](https://en.wikipedia.org/wiki/ISO_4217)形式の3文字コードの仮想通貨のSKU。[エクソーラがサポートする通貨](https://developers.xsolla.com/ja/doc/pay-station/references/supported-currencies/)に関する詳細情報はドキュメントを参照してください。
    Example: "USD"

  - `orders.items.price.is_virtual_currency` (boolean)
    通貨が仮想通貨であるかどうか。

  - `orders.items.description` (object,null)
    アイテムに関する情報を持つオブジェクト。

  - `orders.items.description.name` (string)
    アイテム名。

  - `orders.items.description.image_url` (string)
    アイテム画像URL。

  - `orders.items.description.description` (string)
    アイテムの説明。

  - `orders.promotions` (array,null)
    注文に適用されるプロモーションリスト。

  - `orders.promotions.promotion_id` (integer)
    プロジェクト内のプロモーションID。
    Example: 111425

  - `orders.coupons` (array,null)
    注文に適用されるクーポンリスト。

  - `orders.coupons.coupon_id` (integer)
    クーポンIDは、クーポンを使用してプロモーションを作成する際にエクソーラによって生成されます。

  - `orders.coupons.sku` (string)
    クーポンSKU、クーポンを使用してプロモーションを作成する際にエクソーラによって生成されます。

  - `orders.coupons.code` (string)
    使用したクーポンコード。大文字と小文字を区別する一意のコードです。文字と数字が含まれます。

  - `orders.coupons.type` (string)
    クーポンのタイプ。
    Enum: "unique_catalog_offer", "coupon", "promocode"

  - `total_items_count` (integer)
    指定された期間の注文の合計数。
    Example: 1

  - `has_more` (boolean)
    追加のページがあるかどうか。
    Example: true

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"


